Bug 230174 - 5.1 sound regression
5.1 sound regression
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-26 19:15 EST by Darwin H. Webb
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bugbuddy volume control crash txt (27.30 KB, text/plain)
2007-03-16 02:30 EDT, Darwin H. Webb
no flags Details
bugbuddy-volume-controlcrash-2 (28.05 KB, text/plain)
2007-03-21 21:48 EDT, Darwin H. Webb
no flags Details

  None (edit)
Description Darwin H. Webb 2007-02-26 19:15:11 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Gnome-volume-manager properties for 5.1 surrornd, exchange, spread, 6ch, shared
... etc has no effect on R/B. It only used base and rear.
Lastest version as of Feb 26th.

R/B crashed on fisrt use ... after removing gender from colume headers, gui
acted schiddish, jittered , senity to mosse , then crashed.

Othe Gnome apps have crashed to, but lately it has been the clock.

Steps to Reproduce:
1. Mess with R/B gui, then setup volume-manager for 5.1 surround sound  - no affect.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bastien Nocera 2007-03-15 12:56:44 EDT
How did you setup 5.1? Does 5.1 output work in any other applications?
Did you expect Rhythmbox to upsample to 5.1 from stereo?

Right now, I don't think Rhythmbox has any sort of support for the outputs other
than stereo, and doesn't make provisions for others.

Even then, you're saying that it is a regression? What packages changed for you
to get that regression? How did it work before?
Comment 2 Darwin H. Webb 2007-03-16 02:30:33 EDT
Created attachment 150198 [details]
bugbuddy volume control crash txt

5.1 on Intelch5 on mmobo intel865GBF
It has always played since FC3. 

Attached another bugbuddy file on gome-volume-control.
While setting the properies I determined it was the chan DDL.
6 chan and 2 chan seem to be reversed. I set it to 2 chan and the 5.1 (6chan)
began to play, but the volume-contol app crashed.

So it may be gnome-volume-control with the problem.
Also note that the right click Preferrences on the Volume pannel icon do /NOT
have the conplete set of proporties for 5.1 (and semm to be only for a display
bubble on the pannel icon (needless bloat and unless info.)

If you think this is gnome-volume-cintrol feel free to rount it over to that
area.

thanks,

Darwin
Comment 3 Bastien Nocera 2007-03-16 07:49:18 EDT
Could you please gather the backtrace with the debuginfo packages installed. See
http://fedoraproject.org/wiki/StackTraces for more details.
Comment 4 Darwin H. Webb 2007-03-21 21:48:00 EDT
Created attachment 150637 [details]
bugbuddy-volume-controlcrash-2

After several updates and a few operational problems I was back in FC7.
I can not do the requested devl packages but I did get another crash on volume
control exit.

R/Box started where I last played , but the 5.1 was off again.
I changed chan 2 to chan 6 and it started playing in 5.1.
I think R?Box was updated since.
rhythmbox-0.9.8-2.fc7

Darwin
Comment 5 Bug Zapper 2008-04-03 15:16:23 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 21:14:08 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.